Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFFontType1

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFFont
                  org.apache.fop.pdf.PDFFontNonBase14
                      org.apache.fop.pdf.PDFFontType1

All Implemented Interfaces:
  PDFWritable

    public class PDFFontType1

extends PDFFontNonBase14

Class representing a Type1 or MMType1 font (not necessary for the base 14).

Type1 fonts are specified on page 201 and onwards of the PDF 1.3 spec.
MMType1 fonts are specified on page 205 and onwards of the PDF 1.3 spec.

In fact everything already done in the superclass. Must only define the not default constructor.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFFontType1(java.lang.String fontname, java.lang.String basefont, java.lang.Object encoding)` Create the /Font object

Method Summary

Methods inherited from class org.apache.fop.pdf.PDFFontNonBase14
`getDescriptor, setDescriptor, setWidthMetrics, validate`

Methods inherited from class org.apache.fop.pdf.PDFFont
`createFont, getBaseFont, getName, getPDFNameForFontType, output, setEncoding, setEncoding, setToUnicode`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFFontType1

    public PDFFontType1(java.lang.String fontname,
                        java.lang.String basefont,
                        java.lang.Object encoding)

  Create the /Font object

  Parameters:
    `fontname` - the internal name for the font
    `basefont` - the base font name
    `encoding` - the character encoding schema used by the font

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.